Name:                  wmbusmeters

%global forgeurl       https://github.com/weetmuts/%{name}
%global tag            0.9.27
%global the_binary     rtl_wmbus

Version:               %{tag}

%forgemeta             -v

Release:               1%{?dist}
Summary:               Read the wireless mbus protocol to acquire utility meter readings
License:               GPLv3+
Url:                   %{forgeurl}
Source0:               %{forgesource}
#
Patch0:                %{name}-Make-easier-to-packaging-wmbumeters-for-linux.patch
# Fixes compilation error on gcc >= 10.x
Patch1:                %{name}-Fix-compilation-error-on-gcc-10.x.patch
# Fixes crash
Patch2:                %{name}-Fix-accessing-empty-string.patch


BuildRequires:         /usr/bin/git
BuildRequires:         gcc-c++
BuildRequires:         systemd-rpm-macros

Requires:              /usr/bin/rtl_wmbus


%description
The program receives and decodes C1,T1 or S1 telegrams
(using the wireless mbus protocol) to acquire utility meter readings.
The readings can then be published using MQTT, curled to a REST api,
inserted into a database or stored in a log file.


%prep
%forgeautosetup -S git


%build
export CXXFLAGS="%{optflags}" LDFLAGS="%{__global_ldflags}"
%{make_build} STRIP=true COMMIT_HASH="" TAG=%{version} COMMIT=%{version} \
    TAG_COMMIT=%{version} CHANGES=""


%install
%{make_install} STRIP=true COMMIT_HASH="" TAG=%{version} COMMIT=%{version} \
    TAG_COMMIT=%{version} CHANGES="" \
    DESTDIR=%{buildroot} EXTRA_INSTALL_OPTIONS="--no-adduser --no-udev-rules"


%files
%license LICENSE
%doc README.md CHANGES HowToAddaNewMeter.txt
%exclude %{_sysconfdir}/logrotate.d/wmbusmeters
%config(noreplace) %{_sysconfdir}/%{name}.conf
%{_sbindir}/wmbusmetersd
%{_bindir}/%{name}
%{_unitdir}/%{name}@.service
%{_mandir}/man1/%{name}*


%post
%systemd_post %{name}@.service


%preun
%systemd_preun %{name}@.service


%postun
%systemd_postun_with_restart %{name}@.service


%changelog
* Fri Feb 28 2020 Damian Wrobel <dwrobel@ertelnet.rybnik.pl> - 0.20191213-1
- Initial RPM release.
